<?php
// -----------------------------------------------------------------------
// DEFINE SEPARATOR ALIASES
// -----------------------------------------------------------------------
define("URL_SEPARATOR", '/');
define("DS", DIRECTORY_SEPARATOR);

// -----------------------------------------------------------------------
// DEFINE ROOT PATHS
// -----------------------------------------------------------------------
if (!defined('SITE_ROOT')) {
    define('SITE_ROOT', realpath(dirname(__FILE__)));

    // Handle potential failure of realpath()
    if (SITE_ROOT === false) {
        die('Error: Unable to resolve the root path.');
    }
}

define("LIB_PATH_INC", SITE_ROOT . DS);

// -----------------------------------------------------------------------
// REQUIRE NECESSARY FILES
// -----------------------------------------------------------------------
$required_files = [
    'config.php',
    'functions.php',
    'session.php',
    'upload.php',
    'database.php',
    'sql.php'
];

foreach ($required_files as $file) {
    $file_path = LIB_PATH_INC . $file;
    if (file_exists($file_path)) {
        require_once($file_path);
    } else {
        die("Error: Required file {$file} not found.");
    }
}
?>
